'use strict';  
var menuPage = require('./menu.po.js');
var help = require('../helper/helper.js');
var geral_page = require('./geral.po.js');
var zh = require('../../../src/frameworkFunctionalTests.js');

module.exports = {  
    Fields: {  
        titulo: element(by.css('body > span > section > section > div.default-window.ng-scope > section.everything.ng-scope > header > nav > div > div.navbar-header > div.navbar-brand.zh-header-title.ng-binding.has-header-info')),
        codigo: element(by.id('CDSERVFILI')),
        nome: element(by.id('NMSERVICO')),
        textoNome: element(by.css('#NMSERVICO > span.zh-select-text.ng-binding')),
        gridNome: element(by.xpath('//*[@id="grid-0"]/div[2]/div[1]/div[2]/div[1]/span')),
        nomereduz: element(by.id('NMSERVICOREDU')),
        nomefant: element(by.id('NMFANTASSERV')),
        gruposerv: element(by.id('NMGRUPSERV')),
        textogrupo: element(by.css('#NMGRUPSERV > span.zh-select-text.ng-binding')),
        tipo: element(by.id('IDTIPOSERV')),
        cbtipo: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(1) > div > div:nth-child(3) > div:nth-child(2) > div > div > span')),
        tiposervico: element.all(by.css('li')),
        textotipo: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(1) > div > div:nth-child(3) > div:nth-child(2) > div > div > span')),
        horaini: element(by.id('HRINICATEN')),
        horaentre: element(by.id('HRENTREGA')),
        horaservde: element(by.id('HRINICSERV')),
        horaservate: element(by.id('HRFINASERV')),
        cbespecificacao: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(1) > div > div:nth-child(6) > div:nth-child(1) > div > div')),
        tipoespecificacao: element.all(by.css('li')),
        textoespecificacao: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(1) > div > div:nth-child(6) > div:nth-child(1) > div > div > span')),
        padraointer: element(by.id('NMSERPADDIE')),
        rota: element(by.id('NMROTATRANS')),
        gridVazio: element(by.css('#grid-14261135092187452014044 > div.body.nonbounce > div.row.ng-scope > div > p')),

        configuracao: element(by.xpath('/html/body/span/section/section/div[2]/section[4]/div/div[4]/section/section/div/section/div/form/section[2]/label/span[2]')),
        faturamento: element(by.xpath('/html/body/span/section/section/div[2]/section[4]/div/div[4]/section/section/div/section/div/form/section[3]/label/span[2]')),
        pesocusto: element(by.id('VRPESOCUSTO')),
        gridServico: element(by.xpath('//*[@id="grid-14261135092187452014044"]/div[2]/div/div[2]/div[1]/span')),
        gridNmservico: element(by.css('#grid-14261135092187452014044 > div.body.nonbounce > div > div.tr.cell1 > div:nth-child(2) > span')),
        
        //Aba Configuração Padrão
        gridConfiguracaoPadrao: element(by.css('#grid-142611350924521686254045 > div.body.nonbounce > div > div.tr.cell1 > div:nth-child(1) > span')),
        complemento: element(by.id('DSCOMPLTP')),
        observacao: element(by.id('DSOBSCNFCARD')),
        embalagem: element(by.id('NMEMBALAGEM')),

        opcao: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open.multiple-swipes > div:nth-child(2) > div:nth-child(4) > section > section > div > section > div > form > section > div > div:nth-child(3) > div:nth-child(2) > div > label > div')),
        opcaoCheck: element(by.name('IDOPCCNFCARD')),
        impressao: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open.multiple-swipes > div:nth-child(2) > div:nth-child(4) > section > section > div > section > div > form > section > div > div:nth-child(4) > div:nth-child(2) > div > label > div')),
        impressaoCheck: element(by.name('IDOPCCNFCARD')),
        consisteComensais: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open.multiple-swipes > div:nth-child(2) > div:nth-child(4) > section > section > div > section > div > form > section > div > div:nth-child(5) > div:nth-child(3) > div > label > div')),
        consisteComensaisCheck: element(by.name('IDCONCNFCARD')),
    
        //Aba Custo Padrão
        valor: element(by.id('VRCUSTPADR')),
        gridCusto: element(by.css('#grid-14261135094802328464085 > div.body.nonbounce > div > div.tr.cell1 > div:nth-child(1) > span')),
        gridCustoVazio: element(by.css('#grid-14261135094802328464085 > div.body.nonbounce > div.row.ng-scope > div > p')),


        //Aba Turnos e Comensais
        nomeTurno1: element(by.name('NMTURNO1')),
        nomeTurno2: element(by.id('NMTURNO2')),
        seg: element(by.id('QTCOMESTTSEG')),
        ter: element(by.id('QTCOMESTTTER')),
        qua: element(by.id('QTCOMESTTQUA')),
        qui: element(by.id('QTCOMESTTQUI')),
        sex: element(by.id('QTCOMESTTSEX')),
        sab: element(by.id('QTCOMESTTSAB')),
        dom: element(by.id('QTCOMESTTDOM')),
        fer: element(by.id('QTCOMESTTFER')),


        gridTurno: element(by.css('#grid-142611350927812884014128 > div.body.nonbounce > div > div.tr.cell1 > div:nth-child(2) > span')),
        gridTurnoVazio: element(by.css('#grid-142611350927812884014128 > div.body.nonbounce > div.row.ng-scope > div > p')),
    
    	//Aba Comensais Estimados
        diaBase: element(by.css('#grid-142611350912285308094180 > div.body.nonbounce > div > div:nth-child(2) > div:nth-child(2) > div')),
        diaBaseText: element(by.css('#grid-142611350912285308094180 > div.body.nonbounce > div > div.tr.cell1.row-editing.currentRow > div:nth-child(2) > div > input')),
        //Aba Ponto de entra
    	cliente: element(by.id('NMRAZSOCCLIE')),
    	ponto: element(by.id('CDDESTFILI')),
    	segunda: element(by.id('QTCOESTCSSEG')),
    	terca: element(by.id('QTCOESTCSTER')),
    	quarta: element(by.id('QTCOESTCSQUA')),
    	quinta: element(by.id('QTCOESTCSQUI')),
    	sexta: element(by.id('QTCOESTCSSEX')),
    	sabado: element(by.id('QTCOESTCSSAB')),
    	domingo: element(by.id('QTCOESTCSDOM ')),
    	feriado: element(by.id('QTCOESTCSFER')),

        //Aba Faturamento
        servicoFaturamento: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(3) > section > section > div > section > section > header > div > div > ul > li:nth-child(1) > label > a')),
        gridServicoFatu: element(by.css('#grid-14261135093940521174250 > div.body.nonbounce > div > div.tr.cell1 > div:nth-child(2) > span')),
    }, 

    Params: {
        idservativ: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(1) > div > div > label > span')),
        idconsservca: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(2) > div > div > label > span')),
        idservprinc: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(3) > div.col-xs-5.zh-field > div > label > span')),
        idcarddescentr: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(4) > div.col-xs-5.zh-field > div > label > span')),
        idutretiprat: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(5) > div > div > label > span')),
        idbloqaltpra: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(6) > div > div > label > span')),
        idvlrvardata: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(7) > div > div > label > span')),
        idservfatsep: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(8) > div > div > label > span')),
        idconscomfat: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(9) > div > div > label > span')),
        idbloqconfixper: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(3) > div.col-xs-7.zh-field > div > label > span')),
        idservtran: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(4) > section > section > div > section > div > form > section:nth-child(2) > div > div:nth-child(4) > div.col-xs-7.zh-field > div > label > span')),
    },

    Abas: {
        configuracaoPadrao : element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(3) > section > header > div > div > ul > li:nth-child(2) > label > a')),
        custoPadrao: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(3) > section > header > div > div > ul > li:nth-child(3) > label > a')),
        turnosComensais: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(3) > section > header > div > div > ul > li:nth-child(4) > label > a')),
    	pontoEntrega: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(3) > section > header > div > div > ul > li:nth-child(6) > label > a')),
    	comensaisEstimados: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(3) > section > header > div > div > ul > li:nth-child(5) > label > a')),
        faturamentoServico: element(by.css('body > span > section > section > div.default-window.ng-scope > section.zh-swipe-container.zh-swipe-right.ng-scope.open > div > div:nth-child(3) > section > header > div > div > ul > li:nth-child(7) > label > a')),
    },

    FiltrarServico: function(nmservico){
        var page = this.Fields;
        geral_page.Pesquisar('COLACAO INTEGRAL');
        help.waitFiltro(page.gridNmservico,'COLACAO INTEGRAL');
        page.gridServico.click();
    },
    Adicionar: function()
    {
        help.Adicionar.isDisplayed();
        help.Adicionar.click();
    },

    Nome: function(texto)
    {
        var page = this.Fields;
        page.nome.isDisplayed();
        page.nome.click().then(function()
        {
            help.Pesq.isDisplayed();
            help.Pesq.sendKeys(texto);
            browser.driver.sleep(2000);
            page.gridNome.isDisplayed();
            page.gridNome.click();
        });
    },

    Nomereduz: function(text)
    {
        var page = this.Fields;
        page.nomereduz.isDisplayed();
        page.nomereduz.clear();
        page.nomereduz.sendKeys(text);
    },
    Nomefant: function(text)
    {
        var page = this.Fields;
        page.nomefant.isDisplayed();
        page.nomefant.clear();
        page.nomefant.sendKeys(text);
    },
    Gruposerv: function(pos)
    {
        var page = this.Fields,
            grupo = element(by.xpath('//*[@id="grid-0"]/div[2]/div/div['+ ++pos+']/div[1]/span'));
        page.gruposerv.isDisplayed();
        page.gruposerv.click().then(function()
        {
            browser.waitForAngular();
            grupo.click();
        });
    },
    Servico: function(pos)
    {
        var page = this.Fields,		  
            grupo = element(by.xpath('/html/body/span/section/section/div[2]/section[4]/div/div[4]/section/section/div/section/div/form/section[1]/div/div[3]/div[2]/div/div/ul/li['+ ++pos+']'));
        page.cbtipo.isDisplayed();
        page.cbtipo.click().then(function()
        {
            browser.waitForAngular();
            grupo.click();
        });
    },
    Tiposerv: function(texto)
    {
        var page = this.Fields;
        page.cbtipo.isDisplayed();
        page.cbtipo.click().then(function()
        {
            page.tiposervico.then(function(elementos)
            {
                elementos.forEach(function(elemento)
                {
                    elemento.getText().then(function(text)
                    {
                        if(text == texto)
                        {
                            elemento.click().then(function()
                            {
                                browser.waitForAngular();
                            });
                        }
                    });
                    
                });
            }); 
        });
    },
    Horaini: function(hora)
    {
        var page = this.Fields;
        page.horaini.isDisplayed();
        page.horaini.clear();
        page.horaini.sendKeys(hora);
    },
    Horaentre: function(hora)
    {
        var page = this.Fields;
        page.horaentre.isDisplayed();
        page.horaentre.clear();
        page.horaentre.sendKeys(hora);
    },
    Horaservde: function(hora)
    {
        var page = this.Fields;
        page.horaservde.isDisplayed();
        page.horaservde.clear();
        page.horaservde.sendKeys(hora);
    },
    Horaservate: function(hora)
    {
        var page = this.Fields;
        page.horaservate.isDisplayed();
        page.horaservate.clear();
        page.horaservate.sendKeys(hora);
    },

    Especificacao: function(texto)
    {
        var page = this.Fields;
        page.cbespecificacao.isDisplayed();
        page.cbespecificacao.click().then(function()
        {
            page.tipoespecificacao.then(function(elementos)
            {
                elementos.forEach(function(elemento)
                {
                    elemento.getText().then(function(text)
                    {
                        if(text == texto)
                        {
                            elemento.click().then(function()
                            {
                                browser.waitForAngular();
                            });
                        }
                    });
                    
                });
            }); 
        });
    },
    especifica: function(pos)
    {
        var page = this.Fields,	  
            opcao = element(by.xpath('/html/body/span/section/section/div[2]/section[4]/div/div[4]/section/section/div/section/div/form/section[1]/div/div[6]/div[1]/div/div/ul/li['+ ++pos+']'));
        page.cbespecificacao.isDisplayed();
        page.cbespecificacao.click().then(function()
        {
            browser.waitForAngular();
            opcao.click();
        });
    },
    Pesocusto: function(peso)
    {
        var page = this.Fields;
        page.pesocusto.isDisplayed();
        page.pesocusto.clear();
        page.pesocusto.sendKeys(peso);
    },
    Salvar: function()
    {
        help.Salvar.isDisplayed();
        help.Salvar.click();
    },
    Configuracao: function()
    {
        var page = this.Fields;
        page.configuracao.isDisplayed();
        page.configuracao.click();
    },
    Idservativ: function()
    {
        var param  = this.Params;
        param.idservativ.isDisplayed();
        param.idservativ.click(); 
    },
    Idconsservca: function()
    {
        var param = this.Params;
        param.idconsservca.isDisplayed();
        param.idconsservca.click();
    },
    Idservprinc: function()
    {
        var param = this.Params;
        param.idservprinc.isDisplayed();
        parma.idservprinc.click();
    },
    Idcarddescentr: function()
    {
        var param = this.Params;
        param.idcarddescentr.isDisplayed();
        param.idcarddescentr.click();
    },
    Idutretiprat: function()
    {
        var param = this.Params;
        param.idutretiprat.isDisplayed();
        param.idutretiprat.click();
    },
    Idbloqaltpra: function()
    {
        var param = this.Params;
        param.idbloqaltpra.isDisplayed();
        param.idbloqaltpra.click();
    },
    Idvlrvardata: function()
    {
        var param = this.Params;
        param.idvlrvardata.isDisplayed();
        param.idvlrvardata.click();
    },
    Idservfatsep: function()
    {
        var param = this.Params;
        param.idservfatsep.isDisplayed();
        param.idservfatsep.click();
    },
    Idconscomfat: function()
    {
        var param = this.Params;
        param.idconscomfat.isDisplayed();
        param.idconscomfat.click();
    },
    Idbloqconfixper: function()
    {
        var param = this.Params;
        param.idbloqconfixper.isDisplayed();
        param.idbloqconfixper.click().then(function()
        {
            help.alertaSim.isDisplayed();
            help.alertaSim.click();
        });
    },
    Idservtran: function()
    {
        var param = this.Params;
        parma.idservtran.isDisplayed();
        param.idservtran.click();
    },
    ParamPadrao: function()
    {
        this.Idservativ();
        this.Idbloqconfixper();
    },
    
    Alterar: function(texto)
    {
        var page = this.Fields;
        browser.waitForAngular();
        browser.driver.sleep(3000);
        help.Pesquisar(texto);
        browser.driver.sleep(2000);
        page.gridServico.isDisplayed();
        page.gridServico.click().then(function()
        {
            browser.waitForAngular();
            help.Editar.click();
        });
    },
    VerificarExclusao: function(texto)
    {
        var page = this.Fields,
            textoGrid = element(by.css('#grid-14261135092187452014044 > div.body.nonbounce > div.row.ng-scope > div > p'));

        //help.Tbpesquisa.clear();
        browser.waitForAngular();
        expect(textoGrid.getText()).toBe('No records were found');
        
    },
    Faturamento: function()
    {
        var page = this.Fields;
        page.faturamento.isDisplayed();
        page.faturamento.click();
    },
    VerificarAlteracao: function(nomeReduz,nomeFant,grupoServ,horaIni,horaEntr,horaDe,horaAte,especif,peso)
    {
        var page = this.Fields;
        page.gridServico.isDisplayed();
        page.gridServico.click().then(function()
        {
            browser.waitForAngular();
            help.Editar.click().then(function()
            {
                expect(page.codigo.getAttribute('readonly')).toBe('true');
                expect(page.nome.getAttribute('readonly')).toBe('true');
                expect(page.tipo.getAttribute('readonly')).toBe('true');

                expect(page.nomereduz.getAttribute('value')).toBe(nomeReduz);
                expect(page.nomefant.getAttribute('value')).toBe(nomeFant);
                expect(page.textogrupo.getText()).toBe(grupoServ);
                expect(page.horaentre.getAttribute('value')).toBe(horaEntr);
                expect(page.horaservde.getAttribute('value')).toBe(horaDe);
                expect(page.horaservate.getAttribute('value')).toBe(horaAte);
                expect(page.textoespecificacao.getText()).toBe(especif);
                expect(page.pesocusto.getAttribute('value')).toBe(peso);
            });
        });
    },
    Cancelar: function()
    {
        help.Cancelar.isDisplayed();
        help.Cancelar.click();
    },
    Excluir: function()
    {
        help.Excluir.isDisplayed();
        help.Excluir.click().then(function()
        {
            help.alertaSim.isDisplayed();
            help.alertaSim.click().then(function()
            {
                expect(help.alerta.getText()).toBe('Deletado com sucesso.');
                help.alertaOk.isDisplayed().then(function()
                {
                    help.alertaOk.click();
                });
            });
        });
    },
    editarServico: function(nmservico){
        var page = this;
        page.FiltrarServico(nmservico);
        geral_page.clicaEmEditar();
    },

    //Métodos aba "Configuração Padrão"
    AbrirConfiguracaoPadrao: function(){
        var page = this.Abas;
        page.configuracaoPadrao.click();
    },

    Complemento: function(text){
        var page = this.Fields;
        page.complemento.clear().sendKeys(text);
    },

    Observacao: function(text){
        var page = this.Fields;
        page.observacao.clear().sendKeys(text);
    },

    Embalagem: function(text){
        var page = this.Fields;
        page.embalagem.clear().sendKeys(text);
    },

    //Métodos da aba "Custo Padrão"
    AbrirCustoPadrao: function(){
        var page = this.Abas;
        page.custoPadrao.click();
    },

    Valor: function(value){
        var page = this.Fields;
        page.valor.clear().sendKeys(value);
    },

    //Métodos da aba "Turnos e Comensais"
    AbrirTurnosComensais: function(){
        var page = this.Abas;
        page.turnosComensais.click();
    },

    NomeTurno: function(nome1, nome2){
        var page = this.Fields;
        page.nomeTurno1.clear().sendKeys(nome1);
        page.nomeTurno2.clear().sendKeys(nome2);
    },

    ComensalSeg: function(qtdcomensais){
        var page = this.Fields;
        page.seg.clear().sendKeys(qtdcomensais);
    },
    ComensalTer: function(qtdcomensais){
        var page = this.Fields;
        page.ter.clear().sendKeys(qtdcomensais);
    },
    ComensalQua: function(qtdcomensais){
        var page = this.Fields;
        page.qua.clear().sendKeys(qtdcomensais);
    },
    ComensalQui: function(qtdcomensais){
        var page = this.Fields;
        page.qui.clear().sendKeys(qtdcomensais);
    },
    ComensalSex: function(qtdcomensais){
        var page = this.Fields;
        page.sex.clear().sendKeys(qtdcomensais);
    },
    ComensalSab: function(qtdcomensais){
        var page = this.Fields;
        page.sab.clear().sendKeys(qtdcomensais);
    },
    ComensalDom: function(qtdcomensais){
        var page = this.Fields;
        page.dom.clear().sendKeys(qtdcomensais);
    },
    ComensalFer: function(qtdcomensais){
        var page = this.Fields;
        page.fer.clear().sendKeys(qtdcomensais);
    },
    selecionaTurno: function(idturno){
        var turnoSelecionado,
        page = this.Fields;
        if(arguments.length > 0){  
           turnoSelecionado = element(by.css('#grid-142611350927812884014128 > div.body.nonbounce > div > div.tr.cell'+idturno+''));
            turnoSelecionado.click();
        }else{
            turnoSelecionado = page.gridTurno;
            turnoSelecionado.click();
        }
    },
    //Métodos Comensais Estimados
    AbrirComensaisEstimados: function(){
    	var page = this.Abas;
    	page.comensaisEstimados.click();
    },

    SegundaCli: function(qtdcomensais){
    	var page = this.Fields;
    	page.segundaCli.click();
        page.segundaText.clear().sendKeys(qtdcomensais);
    },

    editaComensal: function(diasemana,tipo,valor){
        var page = this.Fields,
             diaCli, diaText, idtipo;

        if(tipo == 'cliente')
            idtipo = 2;
        else if(tipo == 'funcionario')
            idtipo = 3;
        else if(tipo == 'doacao')
            idtipo = 4;

        if(diasemana == 'segunda'){
            diaCli = 2;
            diaText = 1;
        }
        else if(diasemana == 'terca'){
            diaCli = 3;
            diaText = 2;
        }
        else if(diasemana == 'quarta'){
            diaCli = 4;
            diaText = 1;
        }
        else if(diasemana == 'quinta'){
            diaCli = 5;
            diaText = 2;
        }
        else if(diasemana == 'sexta'){
            diaCli = 6;
            diaText = 1;
        }
        else if(diasemana == 'sabado'){
            diaCli = 7;
            diaText = 2;
        }
        else if(diasemana == 'domingo'){
            diaCli = 8;
            diaText = 1;
        }
        else if(diasemana == 'feriado'){
            diaCli = 9;
            diaText = 2;
        }
        diaCli = element(by.css('#grid-142611350912285308094180 > div.body.nonbounce > div > div:nth-child('+diaCli+') > div:nth-child('+idtipo+') > div'));
        diaText = element(by.css('#grid-142611350912285308094180 > div.body.nonbounce > div > div.tr.cell'+diaText+'.row-editing.currentRow > div:nth-child('+idtipo+') > div > input'));

        diaCli.click();
        diaText.clear().sendKeys(valor);
    },

    getElementoDiaSemana: function(diasemana,tipo)
    {
        var idtipo;
         if(tipo == 'cliente')
            idtipo = 2;
        else if(tipo == 'funcionario')
            idtipo = 3;
        else if(tipo == 'doacao')
            idtipo = 4;

        if( (diasemana == 'segunda') || (diasemana == 'quarta') || (diasemana == 'sexta') || (diasemana == 'domingo'))
            return element(by.css('#grid-142611350912285308094180 > div.body.nonbounce > div > div.tr.cell1.row-editing.currentRow > div:nth-child('+idtipo+') > div > input'));

        else if( (diasemana == 'terca') || (diasemana == 'quinta') || (diasemana == 'sabado') || (diasemana == 'feriado'))
            return element(by.css('#grid-142611350912285308094180 > div.body.nonbounce > div > div.tr.cell2.row-editing.currentRow > div:nth-child('+idtipo+') > div > input'));
    },
    //Métodos Ponto de Entrega por CLiente
   	AbrirPontoEntrega: function(){
        var page = this.Abas;
        page.pontoEntrega.click();
    },
    PontoSegunda: function(qtdponto){
    	var page = this.Fields;
    	page.segunda.clear().sendKeys(qtdponto);
    },
    PontoTerca: function(qtdponto){
    	var page = this.Fields;
    	page.terca.clear().sendKeys(qtdponto);
    },
    PontoQuarta: function(qtdponto){
    	var page = this.Fields;
    	page.quarta.clear().sendKeys(qtdponto);
    },
    PontoQuinta: function(qtdponto){
    	var page = this.Fields;
    	page.quinta.clear().sendKeys(qtdponto);
    },
    PontoSexta: function(qtdponto){
    	var page = this.Fields;
    	page.sexta.clear().sendKeys(qtdponto);
    },
    PontoSabado: function(qtdponto){
    	var page = this.Fields;
    	page.sabado.clear().sendKeys(qtdponto);
    },
    PontoDomingo: function(qtdponto){
    	var page = this.Fields;
    	page.domingo.clear().sendKeys(qtdponto);
    },
    //Métodos aba Faturamento
    AbrirFaturamento: function(){
        var page = this.Abas;
        page.faturamentoServico.click();
    },
    ServicoFaturamento: function(){
        var page = this.Fields;
        page.servicoFaturamento.click();
    },

    SelecionarServico: function(){
        var page = this.Fields;
        page.gridServicoFatu.click();
    },

    clicarEmServico: function(){
        var page = this.Fields;
        page.gridServico.click();
    }
};