// requisicao_por_servico.po.js

'use strict';

var helper = require('../helper/helper.js');

var requisicao = function() {

    this.dataRequisicao = element(by.id('DTPREVRETI'));
    this.qtExtra = element(by.id('QTPREVEXTRA'));
    this.qtPrevista = element(by.id('QTPREVRETI'));
    this.qtDevolvida = element(by.id('QTPREVDEVOL'));
    this.qtLiberada = element(by.id('QTPREVLIB'));
    this.dtLimite = element(by.id('DTLIMITERETI'));
    this.clicaProduto1 = element(by.css('#grid-197774849324940559495113 > div.body.nonbounce > div > div:nth-child(2) > div:nth-child(3) > span'));
    this.clicaProduto2 = element(by.css('#grid-197774849324940559495113 > div.body.nonbounce > div > div:nth-child(3) > div:nth-child(3) > span'));
    this.clicaProduto3 = element(by.css('#grid-197774849324940559495113 > div.body.nonbounce > div > div:nth-child(4) > div:nth-child(3) > span'));
    this.clicaProduto4 = element(by.css('#grid-197774849324940559495113 > div.body.nonbounce > div > div:nth-child(5) > div:nth-child(3) > span'));
    this.qtLiberadaProd1 = element(by.css('#grid-197774849324940559495113 > div.body.nonbounce > div > div:nth-child(2) > div:nth-child(8) > div'));
    this.qtLiberadaProd2 = element(by.css('#grid-197774849324940559495113 > div.body.nonbounce > div > div:nth-child(3) > div:nth-child(8) > div'));
    this.qtLiberadaProd3 = element(by.css('#grid-197774849324940559495113 > div.body.nonbounce > div > div:nth-child(4) > div:nth-child(8) > div'));
    this.qtLiberadaProd4 = element(by.css('#grid-197774849324940559495113 > div.body.nonbounce > div > div:nth-child(5) > div:nth-child(8) > div'));
    this.clicaTpPrato1 = element(by.css('#grid-19777484938675117414945 > div.body.nonbounce > div > div.tr.cell1 > div:nth-child(3) > span'));
    this.clicaProduto1TipoPrato = element(by.css('#grid-197774849327248435234997 > div.body.nonbounce > div > div:nth-child(2) > div:nth-child(3) > span'));
    this.clicaProduto2TipoPrato = element(by.css('#grid-197774849327248435234997 > div.body.nonbounce > div > div:nth-child(3) > div:nth-child(3) > span'));
    this.clicaProduto3TipoPrato = element(by.css('#grid-197774849327248435234997 > div.body.nonbounce > div > div:nth-child(4) > div:nth-child(3) > span'));
    this.clicaProduto4TipoPrato = element(by.css('#grid-197774849327248435234997 > div.body.nonbounce > div > div:nth-child(5) > div:nth-child(3) > span'));


    this.clicaDataRequisicao = function() {
        helper.waitElementVisibility(this.dataRequisicao);
        this.dataRequisicao.click();
    };

    this.clicaNoPrimeiroProdutoRequisicao = function() {
        this.clicaProduto1.click();
    };

    this.clicaNoSegundoProdutoRequisicao = function() {
        this.clicaProduto2.click();
    };

    this.clicaNoTerceiroProdutoRequisicao = function() {
        this.clicaProduto3.click();
    };

    this.clicaNoQuartoProdutoRequisicao = function() {
        this.clicaProduto4.click();
    };

    this.clicaNoPrimeiroProdutoRequisicaoTipoPrato = function() {
        this.clicaProduto1TipoPrato.click();
    };

    this.clicaNoSegundoProdutoRequisicaoTipoPrato = function() {
        this.clicaProduto2TipoPrato.click();
    };

    this.clicaNoTerceiroProdutoRequisicaoTipoPrato = function() {
        this.clicaProduto3TipoPrato.click();
    };

    this.clicaNoQuartoProdutoRequisicaoTipoPrato = function() {
        this.clicaProduto4TipoPrato.click();
    };

    this.clicaNoPrimeiroTpPrato = function() {
        this.clicaTpPrato1.click();
    };

    this.insereQtdeLiberada = function(qtde) {
        this.qtLiberada.clear().sendKeys(qtde);
    };

};

module.exports = new requisicao;