//retirada_planejamento.po.js

'use strict'; 

var helper = require('../helper/helper.js');

var retirada_planejamento_po = function () {
    //Busca Geral
	this.search = element(by.css('#popup > span > section > section > section > section > div > div:nth-child(2) > div > div.control-menu > ul > li.float-action.expandable.search-action.ng-scope.opened > input'));

	//local da tela no menu
	this.seleconaTelaRetirada = element (by.css('body > span > section > section > div.default-window.ng-scope > section.something-else.ng-scope > div > aside > div:nth-child(3) > nav > ul > li > span > span.menu-title.menu-title-parent.ng-binding'));

	//Dados para Retirada
	this.quantidadeConsumida = element(by.id('QTRETIRADA')); 
	this.listaProdutoReti = element(by.css('#grid-24939959122776413062891 > div.body.nonbounce > div > div.tr.cell1 > div:nth-child(2) > span'));
	this.dataRetirada = element(by.id('DTRETIRADA'));
    this.qtExtra = element(by.id('QTEXTRARETI'));
    this.qtPrevista = element(by.id('QTPREVISRETI'));
    this.qtDevolvida = element(by.id('QTDEVOLVRETI'));
    this.diaRetiradaMan = element(by.css('#popup > span > section > section > section > div > section > div > div > div:nth-child(1) > div:nth-child(6) > div'));
    this.acaoNovaRetirada = element(by.css('#popup > span > section > section > section > div > div > ul > li:nth-child(1) > div > div > span'));
    this.acaoExcluirRetirada = element(by.css('#popup > span > section > section > section > div > div > ul > li:nth-child(2) > div > div > span'));
    this.acaoExibirRomaneio = element(by.css('#popup > span > section > section > section > div > div > ul > li:nth-child(3) > div > div > span'));
    this.acaoExibirResumo = element(by.css('#popup > span > section > section > section > div > div > ul > li:nth-child(4) > div > div > span'));
    this.acaoAtualizarEstoque = element(by.css('#popup > span > section > section > section > div > div > ul > li:nth-child(5) > div > div > span'));
    this.produto1 = element(by.css('#grid-24939959122776413062891 > div.body.nonbounce > div > div.tr.cell1 > div:nth-child(3) > span'));
    this.produto2 = element(by.css('#grid-24939959122776413062891 > div.body.nonbounce > div > div.tr.cell2 > div:nth-child(3) > span'));

    //Métodos
	this.clicaDataRetirada = function() {
        helper.waitElementVisibility(this.dataRetirada);
        this.dataRetirada.click();
    };

    this.editarQtdeRetirada = function(qtdeRetirada) {
        this.qtConsumida.clear().sendKeys(qtdeRetirada);
    };

    this.editarQtdeDevolvida = function(qtdeDevolver) {
        this.qtDevolvida.clear().sendKeys(qtdeDevolver);
    };

    this.novaRetirada = function() {
        helper.waitElementVisibility(this.acaoNovaRetirada);
        this.acaoNovaRetirada.click();
    };

    this.atualizaEstoque = function() {
        helper.waitElementVisibility(this.acaoAtualizarEstoque);
        this.acaoAtualizarEstoque.click();
    };

    this.excluirRetirada = function() {
        helper.waitElementVisibility(this.acaoExcluirRetirada);
        this.acaoExcluirRetirada.click();
    };


    //************************* Métodos
	this.QtdeConsumida = function (qtdeConsumida) {
		quantidadeConsumida.clear().sendKeys('qtdeConsumida');
	};

    this.exibirRomaneio = function() {
        helper.waitElementVisibility(this.acaoExibirRomaneio);
        this.acaoExibirRomaneio.click();
    };

};

module.exports = new retirada_planejamento_po();