//protractorconf.js

  var Jasmine2HtmlReporter = require('protractor-jasmine2-html-reporter');
exports.config = {
  seleniumAddress: 'http://localhost:4444/wd/hub',

  specs: [
    'spec.js'
    , './authentication/*.spec.js'
    , './spec/compras/*.spec.js'
    , './spec/custos/*.spec.js'
    , './spec/faturamento/*.spec.js'
    , './spec/planejamento/*.spec.js'
    , '.spec/suprimentos/*.spec.js'
    , './spec/fechardia/*.spec.js'
    , './spec/parametrizacao/contabilidade/*.spec.js'
    , './parametrizacao/faturamento/*.spec.js'
    , './spec/parametrizacao/fiscal/*.spec.js'
    , './spec/parametrizacao/geral/*.spec.js'
    , '.spec/parametrizacao/planejamento/*.spec.js'
    /*, './spec/sair/*.spec.js'*/
  ],

  baseUrl: 'http://teste.teknisa.com/teknisa/tecfood_pla_PROD_1099_SUB_9474/mobile/',

  capabilities: {
    browserName: 'chrome',
    chromeOptions: {
      args: ['disable-popup-blocking', 'test-type','disable-extensions','disable-web-security']
    }
  },
  
  jasmineNodeOpts: {
    onComplete: null, //confirar o intervalo de time out
    isVerbose: true,
    showColors: true,
    includestacktrace: true,
    defaultTimeoutInterval: 360000 //define o time out
  },
  
  onPrepare: function() {
      jasmine.getEnv().addReporter(new Jasmine2HtmlReporter({
        savePath: './tmp/',
        takeScreenshots: true,
        takeScreenshotsOnlyOnFailures: true
      }));
   }}